import React from 'react'
import Validator from './Validator'
import Player from './Player'

const Modals = (props) => {
  const { setShowModal, blocks, validator, videos, me } = props
  const { showModal, video } = me
  return (
    <div>
      {showModal === 'validator' ? (
        <Validator
          show={true}
          onHide={setShowModal}
          blocks={blocks.filter((b) => b.author === validator.account)}
          validator={validator}
        />
      ) : showModal === 'player' ? (
        <Player
          show={true}
          me={me}
          provider={props.provider}
          onHide={setShowModal}
          handleChange={props.handleChange}
          selectProvider={props.selectProvider}
          addVideoVote={props.addVideoVote}
          video={videos.find((v) => v.id === video)}
        />
      ) : (
        ''
      )}
    </div>
  )
}
export default Modals
