import React from 'react'
import { Button, Nav, Navbar } from 'react-bootstrap'
import { RefreshCw, ChevronRight } from 'react-feather'
import SelectPerPage from '../Videos/SelectPerPage'

const NavBar = (props: {
  handleChange: (e: any) => void
  refreshVideos: () => void
  videos: number
  search: string
  me: { perPage: number }
}) => {
  const { handleChange, refreshVideos, videos, me, search } = props
  const section = 'Media'
  return (
    <Navbar bg="dark" variant="dark">
      <Navbar.Brand>{section}</Navbar.Brand>

      <Nav className="ml-auto">
        <Button
          variant="dark"
          className="btn-sm p-1 m-1"
          title="refresh videos"
        >
          <RefreshCw size={10} color="white" onClick={refreshVideos} />
        </Button>
        <SelectPerPage handleChange={handleChange} perPage={me.perPage} />

        <input
          className="form-control bg-dark text-light"
          name="search"
          value={search}
          placeholder={`search ${videos} videos`}
          onChange={handleChange}
        />
      </Nav>
    </Navbar>
  )
}

export default NavBar
