import React from 'react'
import { Button } from 'react-bootstrap'
import { Trash } from 'react-feather'

const Channel = (props: {
  handle: string
  description: string
  id: number
  selectChannel: (id: number) => void
}) => {
  const { show, hideChannel, selectChannel, id, handle, description } = props
  if (!show) return <div />
  return (
    <div className="d-flex flex-row">
      <Button
        variant="dark"
        className="w-100 text-center text-nowrap"
        title={description}
        onClick={() => selectChannel(id)}
      >
        {handle}
      </Button>
      <Button
        variant="dark"
        className="p-0 m-0"
        title="hide channel"
        onClick={() => hideChannel(id)}
      >
        <Trash size={10} />
      </Button>
    </div>
  )
}
export default Channel