import React from 'react'

const SelectPerPage = (props: {
  handleChange: () => void
  perPage: number
}) => {
  const { perPage, handleChange } = props
  return (
    <select
      name="perPage"
      value={perPage}
      onChange={handleChange}
      className="form-control bg-dark col-1"
      title="items per page"
    >
      {[4, 8, 12, 16, 24, 32, 48, 64, 96, 128, 192, 256, 384, 612].map((i) => (
        <option key={i}>{i}</option>
      ))}
    </select>
  )
}

export default SelectPerPage