import React from 'react'
import { Button } from 'react-bootstrap'
import Channel from './Channel'

const Video = (props: any) => {
  const { id, channel, channelId, description, title, thumbnail } = props
  return (
    <>
      <Channel
        show={!props.selectedChannel}
        hideChannel={props.hideChannel}
        selectChannel={props.selectChannel}
        id={channelId}
        {...channel}
      />
      <div
        onClick={() => props.selectVideo(id)}
        className="vcard mb-1 pb-1 overflow-hidden"
      >
        <div style={{ height: '125px' }}>
          <img
            src={thumbnail}
            alt={thumbnail}
            title={thumbnail}
            className="w-100"
            height={125}
          />
        </div>
        <div
          className="p-1 bg-light video overflow-hidden bg-dark text-light"
          style={{ height: '100px' }}
          title={`[${id}] ${title}\n${description}`}
        >
          <div className="m-1 title text-nowrap text-left font-weight-bold">
            {title}
          </div>
          <div className="text-justify description p-1">{description}</div>
        </div>
      </div>
    </>
  )
}
export default Video
