import { hydraLocation } from "../config";
import axios from "axios";

export const fetchPending = async (offset: number = 0) => {
  const query = `query {\n  # Get all existing videos.\n  videos { \n    id,\n    createdAt,\n    updatedAt,\n    channel {\n      id,\n      createdAt,\n      updatedAt,\n      ownerMemberId,\n      ownerCuratorGroupId,\n      categoryId,\n      rewardAccount,\n      title,\n      description,\n      coverPhotoDataObjectId,\n      coverPhotoUrls,\n      coverPhotoAvailability,\n      avatarPhotoDataObjectId,\n      avatarPhotoUrls,\n      avatarPhotoAvailability,\n      isPublic,\n      isCensored,\n      languageId,\n      createdInBlock,\n    },\n    channelId,\n    category {\n      id,\n      createdAt,\n      updatedAt,\n      name,\n      createdInBlock,\n    },\n    categoryId,\n    title,\n    description,\n    duration,\n    thumbnailPhotoDataObject {\n      id,\n      createdAt,\n      updatedAt,\n      createdInBlock,\n      typeId,\n      size,\n      liaisonId,\n      liaisonJudgement,\n      ipfsContentId,\n      joystreamContentId,\n    },\n    thumbnailPhotoDataObjectId,\n    thumbnailPhotoUrls,\n    thumbnailPhotoAvailability,\n    language {\n      id,\n      createdAt,\n      updatedAt,\n      iso,\n      createdInBlock,\n    },\n    languageId,\n    hasMarketing,\n    publishedBeforeJoystream,\n    isPublic,\n    isCensored,\n    isExplicit,\n    license {\n      id,\n      createdAt,\n      updatedAt,\n      code,\n      attribution,\n      customText,\n    },\n    licenseId,\n    mediaDataObject {\n      id,\n      createdAt,\n      updatedAt,\n      createdInBlock,\n      typeId,\n      size,\n      liaisonId,\n      liaisonJudgement,\n      ipfsContentId,\n      joystreamContentId,\n    },\n    mediaDataObjectId,\n    mediaUrls,\n    mediaAvailability,\n    mediaMetadata {\n      id,\n      createdAt,\n      updatedAt,\n      encodingId,\n      pixelWidth,\n      pixelHeight,\n      size,\n      createdInBlock,\n    },\n    mediaMetadataId,\n    createdInBlock,\n    isFeatured,\n }\n}\n`;

  const { data } = await axios.post(hydraLocation, { query });
  return data.data.videos;
};
